> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/tasks/tasks.md).

# Tasks

## List all tasks

> Returns a list of existing tasks that have not been archived.

```json
{"openapi":"3.1.0","info":{"title":"Brand Tasks API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Task":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the task."},"Reference":{"$ref":"#/components/schemas/TaskReference","description":"Identifies the partner by ID and custom values."},"Details":{"$ref":"#/components/schemas/TaskDetails","description":"Details about the task itself."},"Attachments":{"type":"array","description":"Details about each attachment.","items":{"$ref":"#/components/schemas/Attachment"}},"DueDate":{"type":"string","format":"date-time","description":"Date and time at which the task is due (ISO 8601)."},"AssigneeUser":{"$ref":"#/components/schemas/User","description":"The user of the partner account that the task is assigned to."},"AssigneeAccount":{"type":"string","description":"Name of the partner account that the task is assigned to."},"TotalActions":{"type":"integer","description":"Total number of actions that have been recorded for this task."},"TotalComments":{"type":"integer","description":"Total number of comments that have been recorded for this task."},"Comments":{"type":"array","description":"Details about each comment on this task.","items":{"$ref":"#/components/schemas/Comment"}},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the task was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the task was last updated."},"CreatedBy":{"$ref":"#/components/schemas/User","description":"The user that created the task."},"LastUpdatedBy":{"$ref":"#/components/schemas/User","description":"The user that last updated the task."}}},"TaskReference":{"type":"object","properties":{"PartnerId":{"type":"integer","description":"Unique identifier of the partner this task is about."},"PartnerValue1":{"type":"string","description":"Custom partner tracking value 1."},"PartnerValue2":{"type":"string","description":"Custom partner tracking value 2."},"PartnerValue3":{"type":"string","description":"Custom partner tracking value 3."}}},"TaskDetails":{"type":"object","properties":{"Summary":{"type":"string","description":"Title of the task."},"Description":{"type":"string","description":"Detailed description of the task."},"Urgent":{"type":"boolean","description":"Whether the task is marked urgent."},"State":{"type":"string","description":"The current state of the task.","enum":["NEW","INPROGRESS","DUPLICATE","INVALID","BLOCKED","COMPLETED","APPROVED"]},"Type":{"type":"string","description":"The category of the task.","enum":["COMPLIANCE","TECHNICAL","GENERAL","CREATIVE","FINANCE","CONTRACTS","ANALYTICS","SEARCH_ENGINE_MONITORING"]},"SubtypeId":{"type":"integer","nullable":true,"description":"The unique identifier of the task subtype."},"SubtypeName":{"type":"string","nullable":true,"description":"The display name of the task subtype."},"ResolutionId":{"type":"string","nullable":true,"description":"The unique identifier of the task resolution."},"ResolutionName":{"type":"string","nullable":true,"description":"The display name of the task resolution."}}},"Attachment":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the attachment."},"Filename":{"type":"string","description":"Original filename of the attachment."},"Location":{"type":"string","format":"uri","description":"URL to download the attachment."}}},"User":{"type":"object","properties":{"Username":{"type":"string","description":"The user's username."},"EmailAddress":{"type":"string","format":"email","description":"The user's email address."}}},"Comment":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the comment."},"Comment":{"type":"string","description":"The comment text."},"Commenter":{"type":"string","description":"Name of the user who posted the comment."},"Attachments":{"type":"array","description":"Details about each attachment on the comment.","items":{"$ref":"#/components/schemas/Attachment"}},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the comment was created."}}}}},"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks":{"get":{"operationId":"listTasks","tags":["Tasks"],"summary":"List all tasks","description":"Returns a list of existing tasks that have not been archived.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"description":"The ID of the program to retrieve tasks from.","schema":{"type":"integer"}},{"name":"DateLastUpdatedBefore","in":"query","description":"Return tasks last updated before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"DateLastUpdatedAfter","in":"query","description":"Return tasks last updated after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"A list of task objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Tasks":{"type":"array","description":"The list of task objects.","items":{"$ref":"#/components/schemas/Task"}}}}}}}}}}}}
```

## Retrieve a task

> Retrieves the full object details of an existing task.

```json
{"openapi":"3.1.0","info":{"title":"Brand Tasks API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Task":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the task."},"Reference":{"$ref":"#/components/schemas/TaskReference","description":"Identifies the partner by ID and custom values."},"Details":{"$ref":"#/components/schemas/TaskDetails","description":"Details about the task itself."},"Attachments":{"type":"array","description":"Details about each attachment.","items":{"$ref":"#/components/schemas/Attachment"}},"DueDate":{"type":"string","format":"date-time","description":"Date and time at which the task is due (ISO 8601)."},"AssigneeUser":{"$ref":"#/components/schemas/User","description":"The user of the partner account that the task is assigned to."},"AssigneeAccount":{"type":"string","description":"Name of the partner account that the task is assigned to."},"TotalActions":{"type":"integer","description":"Total number of actions that have been recorded for this task."},"TotalComments":{"type":"integer","description":"Total number of comments that have been recorded for this task."},"Comments":{"type":"array","description":"Details about each comment on this task.","items":{"$ref":"#/components/schemas/Comment"}},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the task was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the task was last updated."},"CreatedBy":{"$ref":"#/components/schemas/User","description":"The user that created the task."},"LastUpdatedBy":{"$ref":"#/components/schemas/User","description":"The user that last updated the task."}}},"TaskReference":{"type":"object","properties":{"PartnerId":{"type":"integer","description":"Unique identifier of the partner this task is about."},"PartnerValue1":{"type":"string","description":"Custom partner tracking value 1."},"PartnerValue2":{"type":"string","description":"Custom partner tracking value 2."},"PartnerValue3":{"type":"string","description":"Custom partner tracking value 3."}}},"TaskDetails":{"type":"object","properties":{"Summary":{"type":"string","description":"Title of the task."},"Description":{"type":"string","description":"Detailed description of the task."},"Urgent":{"type":"boolean","description":"Whether the task is marked urgent."},"State":{"type":"string","description":"The current state of the task.","enum":["NEW","INPROGRESS","DUPLICATE","INVALID","BLOCKED","COMPLETED","APPROVED"]},"Type":{"type":"string","description":"The category of the task.","enum":["COMPLIANCE","TECHNICAL","GENERAL","CREATIVE","FINANCE","CONTRACTS","ANALYTICS","SEARCH_ENGINE_MONITORING"]},"SubtypeId":{"type":"integer","nullable":true,"description":"The unique identifier of the task subtype."},"SubtypeName":{"type":"string","nullable":true,"description":"The display name of the task subtype."},"ResolutionId":{"type":"string","nullable":true,"description":"The unique identifier of the task resolution."},"ResolutionName":{"type":"string","nullable":true,"description":"The display name of the task resolution."}}},"Attachment":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the attachment."},"Filename":{"type":"string","description":"Original filename of the attachment."},"Location":{"type":"string","format":"uri","description":"URL to download the attachment."}}},"User":{"type":"object","properties":{"Username":{"type":"string","description":"The user's username."},"EmailAddress":{"type":"string","format":"email","description":"The user's email address."}}},"Comment":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the comment."},"Comment":{"type":"string","description":"The comment text."},"Commenter":{"type":"string","description":"Name of the user who posted the comment."},"Attachments":{"type":"array","description":"Details about each attachment on the comment.","items":{"$ref":"#/components/schemas/Attachment"}},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the comment was created."}}}}},"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks/{TaskId}":{"get":{"operationId":"getTask","tags":["Tasks"],"summary":"Retrieve a task","description":"Retrieves the full object details of an existing task.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"description":"The ID of the program the task belongs to.","schema":{"type":"integer"}},{"name":"TaskId","in":"path","required":true,"description":"The unique identifier for the task.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single task object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/tasks/tasks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
